@import '{}/imports/ui/stylesheets/variables/index';

//== Kiosk
//----------------------------------------
.kiosk {
	margin: 25px 0;
}

//== Logo
//----------------------------------------
.kiosk-logo {
	@include td-margin(right, 15px);
	line-height: $line-height-base;
	vertical-align: text-bottom;
}

.kiosk-logo-group {
	width: 60px;
}

.kiosk-logo-openki {
	width: 40px;
}

//== Heading
//----------------------------------------
.kiosk-heading {
	@include td-margin-all(0, 15px, 0, 0);
	display: inline-block;
	font-size: $h1-font-size;
	line-height: $line-height-base;
	padding-bottom: 15px;
}

//== Region selection
//----------------------------------------
.kiosk-language-selection {
	display: inline-block;
	line-height: $line-height-base;
}

.kiosk-language-selection > li {
	list-style: none;
}

.kiosk-language-selection > li > {
	.fa-regular,
	.fa-brands,
	.fa-solid {
		color: $primary;
	}
}

.kiosk-language-selection > li > .dropdown-menu {
	@include td-pos(left, auto);
	@include td-pos(right, 0);
}

//== Clock
//----------------------------------------
.kiosk-moment {
	@include td-float(right);
	line-height: $line-height-base;
}

.kiosk-moment-time {
	font-size: $h2-font-size;
}

.kiosk-moment-date {
	@include td-margin(left, 5px);
	font-size: $h4-font-size;
}

// *** Kiosk event ***
//====================

// ** Event
//========================================================================================
.kiosk-event {
	overflow: hidden;
}

.kiosk-event-ongoing {
	background-color: rgba($orange, 0.3);
}

.kiosk-event-ongoing,
.kiosk-event-today {
	height: 200px;
}

.kiosk-event-upcoming {
	height: 150px;
}

.kiosk-event-today,
.kiosk-event-upcoming {
	background-color: $event-body-bg;
}

// ** Timecount
//========================================================================================
.kiosk-event-timecount {
	padding: 2px ($grid-gutter-width / 3);
}

$event-ongoing-header-bg: $beige;

.kiosk-event-ongoing > .kiosk-event-timecount {
	background-color: lighten($event-ongoing-header-bg, 18%);
}

.kiosk-event-today > .kiosk-event-timecount,
.kiosk-event-upcoming > .kiosk-event-timecount {
	background-color: lighten($event-header-bg, 13%);
}

// ** Header
//========================================================================================
$kiosk-event-component-padding-vertical: $grid-gutter-width / 3;
$kiosk-event-component-padding-horizontal: $grid-gutter-width / 2;

.kiosk-event-header {
	@include clearfix;
	color: $gray-800;
	font-size: medium;
	padding: $kiosk-event-component-padding-vertical $kiosk-event-component-padding-horizontal;
}

.kiosk-event-ongoing > .kiosk-event-header {
	background-color: $event-ongoing-header-bg;
}

.kiosk-event-today > .kiosk-event-header,
.kiosk-event-upcoming > .kiosk-event-header {
	background-color: $event-header-bg;
}

// ** Moment & Location
//========================================================================================
.kiosk-event-moment,
.kiosk-event-location {
	@include ellipsis;
}

.kiosk-event-today .kiosk-event-moment,
.kiosk-event-today .kiosk-event-location,
.kiosk-event-upcoming .kiosk-event-moment,
.kiosk-event-upcoming .kiosk-event-location {
	width: 50%;
}

// ** Moment
//========================================================================================
.kiosk-event-today .kiosk-event-moment,
.kiosk-event-upcoming .kiosk-event-moment {
	@include td-float(left);
	text-align: start;
}

// ** Location
//========================================================================================
.kiosk-event-today .kiosk-event-location,
.kiosk-event-upcoming .kiosk-event-location {
	@include td-float(right);
	text-align: end;
}

// ** Body
//========================================================================================
.kiosk-event-body {
	@include ellipsis-multiline(2);

	border-top: $event-compact-seperator-height solid $body-bg;
	margin: 0 0 $kiosk-event-component-padding-vertical;
	padding: $kiosk-event-component-padding-vertical $kiosk-event-component-padding-horizontal 0;
}

// ** Title
//========================================================================================
.kiosk-event-title {
	color: $gray-800;
	display: inline;
}
